Package org.linphone.core

# Interface ComposingParticipant

public interface ComposingParticipant
Object that represents a `ChatRoom` participant that is currently
composing.

## Method Summary

Modifier and Type
Method
Description
`ComposingParticipant`
`clone()`
Clones a composing participant.
`Address`
`getAddress()`
Gets the participant's address.
`String`
`getContentType()`
Gets the content-type of what the participant is being composing.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getAddress

Address getAddress()
Gets the participant's address.

Returns:
  the `Address` of the participant.

### getContentType

String getContentType()
Gets the content-type of what the participant is being composing.

Returns:
  the content-type set if any, null otherwise.

### clone

ComposingParticipant clone()
Clones a composing participant.

Returns:
  The newly created `ComposingParticipant` object.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`